Skip to content

bots.listBotMembers

GET
/v1/bots/{botId}/members
curl --request GET \
--url https://example.com/v1/bots/example/members \
--header 'Authorization: Bearer <token>'

Lists the people who use this Bot in their own organizations. It needs bots.share.

botId
required
string
>= 1 characters <= 128 characters

Success

Media typeapplication/json
Array<object>
object
userId
required
string
organizationId
required
string
linked
required
string
>= 1 characters <= 128 characters
joinedAt
required
number

Example generated

[
{
"userId": "example",
"organizationId": "example",
"linked": "example",
"joinedAt": 1
}
]

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

@nmnmcc/ability/Authorizer/Pending | BotConflict

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

BotStorageUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PolicyUnavailable

Example

{
"_tag": "PolicyUnavailable"
}